net.fortuna.ical4j.data

## Class ParserException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - net.fortuna.ical4j.data.ParserException

All Implemented Interfaces:
  Serializable

    public class ParserException
    extends Exception

     $Id$ [Apr 5, 2004]

An exception thrown when an error occurs in parsing iCalendar data.

Author:
  Ben Fortuna
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ParserException(int lineNo)`
`ParserException(String message, int lineNo)` Constructor with message.
`ParserException(String message, int lineNo, Throwable cause)` Constructor with message and cause.

### Method Summary

Methods
`int` `getLineNo()`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ParserException

    public ParserException(int lineNo)

Parameters:
  `lineNo` - line number where parsing error ocurred

#### ParserException

    public ParserException(String message,
                   int lineNo)

Constructor with message.

Parameters:
  `message` - a descriptive message for the exception
  `lineNo` - line number where parsing error ocurred

#### ParserException

    public ParserException(String message,
                   int lineNo,
                   Throwable cause)

Constructor with message and cause.

Parameters:
  `message` - a descriptive message for the exception
  `lineNo` - line number where parsing error ocurred
  `cause` - a throwable that is the cause of this exception

### Method Detail

#### getLineNo

    public final int getLineNo()

Returns:
  the lineNo